<?php
		
	header('Content-Type: text/html; charset=UTF-8');	
	header("Cache-Control: no-cache, no-store, must-revalidate, pre-check=0, max-age=0, post-check=0");
	
	$exeTime=ini_get('max_execution_time'); 
	ini_set('max_execution_time', 0); // to get unlimited php script execution time
	
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
    </head>
	<body>
	
<?php	
	require_once('../../global_functions.php');
	
	if (defined('EC_KARTE_ZAHLUNGSABBRUCH_ERLAUBEN') && strtolower(EC_KARTE_ZAHLUNGSABBRUCH_ERLAUBEN) !=="ja" ) 
		  {
			  echo "<script> elem=window.parent.document.getElementById('ec_abbruch');
					elem.style.display='none';</script>";
		  }
		
	$terminalId=false;
	$amount=false;
	$zahlartName=false;
	$funktion=false;
	
	if(isset($_GET['terminalId']) && strlen($_GET['terminalId']) > 2) $terminalId=$_GET['terminalId'];
	if(isset($_GET['terminalType']) && strlen($_GET['terminalType']) > 2) $terminalType=$_GET['terminalType'];
	if(isset($_GET['zahlbetrag']) && strlen($_GET['zahlbetrag']) > 2) $amount=$_GET['zahlbetrag'];
	if(isset($_GET['zahlartName']) && strlen($_GET['zahlartName']) > 2) $zahlartName=$_GET['zahlartName'];
	if(isset($_GET['funktion']) && strlen($_GET['funktion']) > 2) $funktion=$_GET['funktion'];
	if(isset($_GET['a4_beleg']) && strlen($_GET['a4_beleg']) > 2) $a4_beleg=$_GET['a4_beleg'];
	else $a4_beleg=""; // das sollte eigentlich nie passieren
		
		$amount=preg_replace('/\,/', '.', $amount);
		
		$exe_command=get_command_line_for_ce_terminal($terminalType, $terminalId);
			
		$cmd='start /B C:\\sitpos\\bankomat\\'.$terminalType.'\\'.$exe_command.' '.$funktion." ".$terminalId." ".$amount."";
		echo $cmd;			
		//$resp=shell_exec($command);
			
		$a = popen($cmd, 'r'); 
		$output="";
		$termResponse=false;
		while($b = fgets($a, 2048)) 
		{			
				# damit die umlaute passen
			$b = utf8_encode($b);
				# mach ich das nicht bekomme ich im unterminated string literal -> browser console !!!!
			$b = preg_replace("/\r\n|\r|\n/",'<br/>',$b);
			//$output=$b;
			$output=$output . $b;
			
			echo "<script>	parent.sixTerminalResponse('ausgeben', '".$output."', '".$output."'); 		</script>";
			ob_flush(); 
			flush(); 
		} 

		//echo "<script>	parent.sixTerminalResponse('ende_der_funktion', '".$output."', '".$output."'); 		</script>";
		// Hier wird als funcKey zurückggegeben ob es ein a4 Beleg werden soll oder nicht a4=false oder a4=true als string!!
		echo "<script>	parent.sixTerminalResponse('a4=".$a4_beleg."', '".$output."', '".$output."'); 		</script>";
		
		echo "<script> elem=window.parent.document.getElementById('ec_abbruch');
		elem.style.display='';</script>";
		pclose($a);

		ini_set('max_execution_time', $exeTime);
	
?>
    </body>
</html>
